
#include  <stdio.h>
#include  <stdlib.h>

#include  "pokesound.h"



int main(int argc, char *argv[])
{
int			foo, idx;
float			temps;
SndPk_sndbuff		*outbuff, *poke;
SndPk_context		contexte;

fprintf(stderr, "****** SoundPoke v 8 ******\n");

set_context_default();
get_context(&contexte);
print_context(&contexte);

outbuff = create_soundbuff(&contexte, 20);
foo = proto_fade_in (outbuff, 1.5);
if (foo) {
	fprintf(stderr, "err %d in proto fade in\n", foo);
	}
foo = proto_fade_out (outbuff, 4.5);
if (foo) {
	fprintf(stderr, "err %d in proto fade out\n", foo);
	}

		/*   ------   */

poke = read_wave_from_file("1337.wav");
if (NULL == poke) {
	fprintf(stderr, "Oups...\n");
	exit(1);
	}
display_buffer(poke, "1337");
fprintf(stderr, "    fragment %p   outbuff %p\n", poke, outbuff);
for (idx=0; idx<4; idx++) {
	temps = 8.03 + (float)idx * 1.97;
	foo = poke_un_fragment(poke, outbuff, temps);
	if (foo) {
		fprintf(stderr, "err %d in poke un fragment\n", foo);
		}
	}
kill_a_buffer(poke);

		/*   ------   */

poke = read_wave_from_file("pluie.wav");
if (NULL == poke) {
	fprintf(stderr, "Oups...\n");
	exit(1);
	}
display_buffer(poke, "Euro Beep");

foo = poke_un_fragment(poke, outbuff, 5.000);
if (foo) {
	fprintf(stderr, "err %d in poke un fragment\n", foo);
	}
foo = poke_un_fragment(poke, outbuff, 5.300);
if (foo) {
	fprintf(stderr, "err %d in poke un fragment\n", foo);
	}
kill_a_buffer(poke);

		/*   ------   */

foo  = write_soundbuff("out.wav", outbuff);
if (foo) {
	fprintf(stderr, "err %d in write soundbuff\n", foo);
	}

kill_a_buffer(outbuff);

return 0;
}